<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" encoding="utf-8" standalone="yes"></xsl:output>

	<xsl:template match="/">
		<xsl:apply-templates />
	</xsl:template>
	
	<xsl:template match="instance">
[size=20pt]<xsl:value-of select="name"/>[/size]

<xsl:value-of select="description"/>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="encounter">

[size=18pt]<xsl:value-of select="name"/>[/size]

<xsl:value-of select="description"/>	

		<xsl:apply-templates select="rootsection"/>
	</xsl:template>
	
	<xsl:template match="rootsection">
	
		<xsl:apply-templates>
			<xsl:with-param name="hsize" select="number(16)"/>
		</xsl:apply-templates>
	</xsl:template>
	
	<xsl:template match="section">
		<xsl:param name="hsize" select="number(16)"/>

<xsl:text>

</xsl:text>
<xsl:call-template name="indent"><xsl:with-param name="count" select="(16 - $hsize)*2"/></xsl:call-template><!--
--><xsl:if test="@abilityIcon">[img]http://static.wowhead.com/images/wow/icons/medium/<xsl:value-of select="translate(substring(@abilityIcon,17,string-length(@abilityIcon)-17-3),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>.jpg[/img] </xsl:if><!--
-->[b][size=<xsl:value-of select="$hsize"/>pt]<xsl:value-of select="title"/>[/size][/b]<!--
--><xsl:text> </xsl:text><!--
--><xsl:if test="@flag_tank">[img]http://wow.zamimg.com/images/icons/ej-tank.png[/img] </xsl:if><!--
--><xsl:if test="@flag_dps">[img]http://wow.zamimg.com/images/icons/ej-dps.png[/img] </xsl:if><!--
--><xsl:if test="@flag_healer">[img]http://wow.zamimg.com/images/icons/ej-healer.png[/img] </xsl:if><!--
--><xsl:if test="@flag_deadly">[img]http://wow.zamimg.com/images/icons/ej-deadly.png[/img] </xsl:if><!--
--><xsl:if test="@flag_important">[img]http://wow.zamimg.com/images/icons/ej-important.png[/img] </xsl:if><!--
--><xsl:if test="@flag_interruptible">[img]http://wow.zamimg.com/images/icons/ej-interrupt.png[/img] </xsl:if><!--
--><xsl:if test="@flag_magic">[img]http://wow.zamimg.com/images/icons/ej-magic.png[/img] </xsl:if><!--
--><xsl:if test="@flag_curse">[img]http://wow.zamimg.com/images/icons/ej-curse.png[/img] </xsl:if><!--
--><xsl:if test="@flag_poison">[img]http://wow.zamimg.com/images/icons/ej-poison.png[/img] </xsl:if><!--
--><xsl:if test="@flag_disease">[img]http://wow.zamimg.com/images/icons/ej-disease.png[/img] </xsl:if><!--
--><xsl:if test="@flag_enrage">[img]http://wow.zamimg.com/images/icons/ej-enrage.png[/img] </xsl:if><!--
--><xsl:if test="@flag_heroic">[img]http://wow.zamimg.com/images/icons/ej-heroic.png[/img] </xsl:if><!--
--><xsl:if test="@modes">(<xsl:value-of select="@modes"/>)</xsl:if><!--
--><xsl:text>
</xsl:text>
<xsl:apply-templates select="description"/>

		<xsl:apply-templates select="section">
			<xsl:with-param name="hsize" select="$hsize - 2"/>
		</xsl:apply-templates>
	</xsl:template>	
	
	<xsl:template match="description"><xsl:apply-templates/></xsl:template>
	
	<xsl:template match="icon"><xsl:if test="@src='Interface\EncounterJournal\UI-EJ-WarningTextIcon'">[img]http://wowimg.zamimg.com/images/ui/UI-EJ-WarningTextIcon.png[/img] </xsl:if></xsl:template>
	<xsl:template match="color">[color=<xsl:value-of select="@color"/>]<xsl:apply-templates/>[/color]</xsl:template>
	
	<xsl:template name="indent"><!--
		--><xsl:param name="count" select="number(0)"/><!--
		--><xsl:if test="$count > 0"><xsl:text> </xsl:text><xsl:call-template name="indent"><xsl:with-param name="count" select="$count - 1"/></xsl:call-template></xsl:if><!--
	--></xsl:template>
</xsl:stylesheet>